### Function

# GimpUi query_int_box

#### Declaration [src]

    GtkWidget*
    gimp_query_int_box (
      const gchar* title,
      GtkWidget* parent,
      GimpHelpFunc help_func,
      const gchar* help_id,
      const gchar* message,
      gint initial,
      gint lower,
      gint upper,
      GObject* object,
      const gchar* signal,
      GimpQueryIntCallback callback,
      gpointer data,
      GDestroyNotify data_destroy
    )

#### Description [src]

Creates a new `GtkDialog` that queries the user for an integer value.

#### Parameters

`title` | `const gchar*`
| The query box dialog’s title.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`parent` | `GtkWidget`
| The dialog’s parent widget.
| The data is owned by the caller of the function.
`help_func` | `GimpHelpFunc`
| The help function to show this dialog’s help page.
`help_id` | `const gchar*`
| A string identifying this dialog’s help page.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`message` | `const gchar*`
| A string which will be shown above the dialog’s entry widget.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`initial` | `gint`
| The initial value.
`lower` | `gint`
| The lower boundary of the range of possible values.
`upper` | `gint`
| The upper boundray of the range of possible values.
`object` | `GObject`
| The object this query box is associated with.
| The data is owned by the caller of the function.
`signal` | `const gchar*`
| The object’s signal which will cause the query box to be closed.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`callback` | `GimpQueryIntCallback`
| The function which will be called when the user selects “OK”.
`data` | `gpointer`
| The callback’s user data.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`data_destroy` | `GDestroyNotify`
| Destroy function for `data`.

#### Return value

Returns: | `GtkWidget`
| A pointer to the new `GtkDialog`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.